Subject: bug#45563: 28.0.50; key-chord-mode not working with native comp

From: Eamonn Sullivan <[email-masked]>
Date: Thu, 31 Dec 2020 15:11:26 +0000

Hi Andrea,

It's probably an issue with use-package, or use-package-chords.

Here's the smallest config that I could conjure that seems to reproduce the
issue:

https://github.com/eamonnsullivan/emacs.d/blob/master/minimal-init.el

I start that with: emacs -Q -nw -l ~/git/emacs.d/minimal-init.el

Native compile completes, but "JJ" does nothing.

Hope that helps,
Eamonn

On Thu, 31 Dec 2020 at 14:44, Andrea Corallo <[email-masked]> wrote:

>
> [re-adding the bug in Cc]
>
> Eamonn Sullivan <[email-masked]> writes:
>
> > Hi, sorry, said something incorrect:
> >
> > I am *not* able to reproduce the problem when running emacs -q. Key
> chords work -- I had forgotten to run key-chord-mode.
> >
> > But I don't think I'm triggering native-comp when I do that.
>
> Native compilation should be always available.
>
> I think would be helpful some reduced reproducer if you can poke a
> little at it trying to produce it.
>
> Thanks
>
>   Andrea
>
> > Hope that helps,
> > Eamonn
> >
> > On Thu, 31 Dec 2020 at 14:16, Eamonn Sullivan <[email-masked]>
> wrote:
> >
> >  Hi Andrea,
> >
> >  I only use key chords for one thing: QQ to bring up a hydra for
> straight.el. This was working in the last couple of
> >  days. (I used to use it for other things, but kept accidentally
> triggering it...)
> >
> >  This is my configuration, if it helps:
> https://github.com/eamonnsullivan/emacs.d
> >
> >  I load use-package-chords in init-global-behaviour.el.
> >
> >  However, I also seem to be able to reproduce the issue by starting
> emacs with -q and loading and eval'ing
> >  key-chord.el (from
> https://github.com/emacsorphanage/key-chord/blob/master/key-chord.el), so
> might not be related to
> >  native-comp. That was just my first thought. It seems to be wrong!
> >
> >  Thanks for looking into this!
> >
> >  -Eamonn
> >
> >  On Thu, 31 Dec 2020 at 13:56, Andrea Corallo <[email-masked]> wrote:
> >
> >  Eamonn Sullivan <[email-masked]> writes:
> >
> >  > My key chord definitions (the few I have) have stopped working.
> Example
> >  > in the scratch buffer:
> >  >
> >  > (key-chord-define-global "JJ" 'previous-buffer)
> >  > previous-buffer
> >  > JJ
> >
> >  Hi Eamonn,
> >
> >  could you tell since are you experiencing this regression?  Also have
> >  you tried compiling without --with-nativecomp to verify the problem is
> >  introduced by native compilation?
> >
> >  Thanks
> >
> >    Andrea
> >
>
> --
> [email-masked]
>